| Home | Libraries | People | FAQ | More

## Function template make_const_step_range

boost::numeric::odeint::make_const_step_range — Factory function to construct a single pass range of const step iterators. A range is here a pair of const_step_iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/const_step_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      std::pair< const_step_iterator< Stepper, System, State >, const_step_iterator< Stepper, System, State > >
      make_const_step_range(Stepper stepper, System system, State & x,
                            typename traits::time_type< Stepper >::type t_start,
                            typename traits::time_type< Stepper >::type t_end,
                            typename traits::time_type< Stepper >::type dt);

## Description

Parameters:

`dt` | The initial time step.
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`t_end` | The end time, at which the iteration should stop.
`t_start` | The initial time.
`x` | The initial state. `const_step_iterator` store a reference of s and changes its value during the iteration.

Returns: | The const step range.